"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("events");
var InstantStrategy = /** @class */ (function () {
    function InstantStrategy() {
        this.eventEmitter = new events_1.EventEmitter();
    }
    InstantStrategy.prototype.onAdd = function (info) {
        this.eventEmitter.emit("send");
        //console.log("InstantStrategy#sent");
    };
    InstantStrategy.prototype.onClear = function () {
        // Ignore log list change
        //console.log("InstantStrategy#cleared");
    };
    InstantStrategy.prototype.sendAll = function (info) {
        // This strategy sends all logs separately
    };
    InstantStrategy.prototype.destroy = function () {
        this.eventEmitter.removeAllListeners();
        this.eventEmitter = null;
    };
    return InstantStrategy;
}());
exports.default = InstantStrategy;
//# sourceMappingURL=InstantStrategy.js.map