"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var events_1 = require("events");
var OnBundleSizeStrategy = /** @class */ (function () {
    function OnBundleSizeStrategy(config) {
        /**
         * @type {number}
         */
        this.MAX_BUNDLE_SIZE = 100;
        this.eventEmitter = new events_1.EventEmitter();
        if (config.maxBundle) {
            this.MAX_BUNDLE_SIZE = config.maxBundle;
        }
    }
    OnBundleSizeStrategy.prototype.onAdd = function (info) {
        if (info && info.logCount >= this.MAX_BUNDLE_SIZE) {
            this.eventEmitter.emit("send");
        }
        else {
            //console.log("Not enough logs so far");
        }
    };
    OnBundleSizeStrategy.prototype.onClear = function () {
        // Ignore log list change
        //console.log("OnBundleSizeStrategy#cleared");
    };
    OnBundleSizeStrategy.prototype.sendAll = function (info) {
        this.eventEmitter.emit("send");
    };
    OnBundleSizeStrategy.prototype.destroy = function () {
        this.eventEmitter.removeAllListeners();
        this.eventEmitter = null;
    };
    return OnBundleSizeStrategy;
}());
exports.default = OnBundleSizeStrategy;
//# sourceMappingURL=OnBundleSizeStrategy.js.map